aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-07-23 19:58:39 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-07-23 19:58:39 +1200
commitf21bccc341f29cecc193561cc4d523183dbc3a2a (patch)
tree48b492b96f9519385ed71f4c3474507c2905c0fe /bin
parentRemove custom length limit on login fortunes (diff)
downloaddotfiles-f21bccc341f29cecc193561cc4d523183dbc3a2a.tar.gz
dotfiles-f21bccc341f29cecc193561cc4d523183dbc3a2a.zip
Rename vis(1) to eds(1)
vis(1) is in OpenBSD >=4.4 base
Diffstat (limited to 'bin')
-rwxr-xr-xbin/eds (renamed from bin/vis)12
1 files changed, 6 insertions, 6 deletions
diff --git a/bin/vis b/bin/eds
index 01ff31cf..6cc9fdab 100755
--- a/bin/vis
+++ b/bin/eds
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
#
-# vis(1) -- Create and edit executable scripts in a directory VISPATH (defaults
+# eds(1) -- Create and edit executable scripts in a directory EDSPATH (defaults
# to ~/.local/bin).
#
# Author: Tom Ryder
@@ -10,7 +10,7 @@
#
# Name self
-self=vis
+self=eds
# Define a function to show usage
usage() {
@@ -47,14 +47,14 @@ if ! (($#)) ; then
fi
# Create the script directory if it doesn't exist yet
-vispath=${VISPATH:-$HOME/.local/bin}
-if [[ ! -d $vispath ]] ; then
- mkdir -p -- "$vispath" || exit
+edspath=${EDSPATH:-$HOME/.local/bin}
+if [[ ! -d $edspath ]] ; then
+ mkdir -p -- "$edspath" || exit
fi
# Create a new array with the script directory prepended to the given names
declare -a files
-files=("${@/#/$vispath/}")
+files=("${@/#/$edspath/}")
# Collect the names of any scripts that don't exist yet so we can make them
# executable after we're done editing